Subject: Re: bug#21131: minibuffer repl delay

From: Andreas Schwab <[email-masked]>
Date: Sat, 25 Jul 2015 08:44:43 +0200

Chris Stacy <[email-masked]> writes:

> But doing the same thing in the minibuffer (eval-expression)
> incurs a huge delay after I hit ENTER and before seeing the answer.
> For example, the above expression took over 7 seconds before I saw:
>
> 2117 (#o4105, #x845)
>
> I can't tell if it is just arithmetic because the delays seem to random.

It comes from trying to render the number as a character, and it can
take some time to find a font that contains this character, if any.

> Sometimes there doesn't seem to be a delay.
> This always comes back right away:
>
> (length '(a b c d e))
> 5 (#o5, #x5, ?\C-e)

5 isn't a printable character, so it is rendered as ?\C-e.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."